/* Header */
.custom-header-inner {
    padding-left: 24px;
    padding-right: 24px;
    border-bottom: 8px solid rgb(51, 153, 0);
    margin-bottom: 24px;
    color: #515560;
    font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;
    background-color: #fff;
}

/* Upper header - EU logo */
.eu-logo {
    padding-top: 16px;
    padding-bottom: 16px;
    border-bottom: 1.6px solid rgb(207, 218, 245);
}

.logo img {
    height: 45px;
}

/* Lower header */
.lower-header {
    padding-top: 16px;
    padding-bottom: 16px;
}

.eu-tenders {
    margin-bottom: 6px;
    display: flex;
    gap: 16px;

    a {
        font-size: 28px;
        font-weight: 700;
        text-decoration: none;
        color: inherit;
    }

    #environment-chip {
        display: flex;
        align-items: center;
        border-radius: 16px;
        outline: 1px solid rgb(248, 210, 212);
        outline-offset: -1px;
        background-color: #fbe9ea;
        color: #831218;
        opacity: 0.7;
        padding: 2px 11.25px;
    }
}

.app-title {
    font-size: 18px;
    font-weight: 700;
    display: inline-block;
    padding: 4px 12px;
    background-color: #f5f5f5;
    border-left: 6px solid #339900;
    line-height: 20px;
    margin-right: 10px;
}

.app-subtitle {
    font-size: 16px;
    padding-top: 4px;
}

.api-options {
    display: flex;
    justify-content: space-between;
}

.api-link {
    display: flex;
}

#swagger-definition-slot {
    padding-top: 4px;

    .select-label {
        span {
            padding-right: 10px;
            padding-top: 2px;
        }
        select {
            padding: 2px 4px;
            font-size: 14px;
        }
    }
}

/* Footer */
.custom-footer-inner {
    background-color: rgb(243, 246, 252);
    padding: 64px 16px;
    line-height: 23px;
    font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;

    a {
        text-decoration: none;
        display: block;
        margin-bottom: 12px;

        &:hover {
            text-decoration: underline;
        }
    }

    .inline-link {
        span {
            color: rgb(48,48,48)
        }

        a {
            display: inline;
        }
    }

    .footer-divider {
        border: none;
        border-bottom: 1px solid #CFDAF5;
        margin: 24px 0 48px;
    }

    .row {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .col {
        padding-left: 24px;
        padding-right: 24px;

        h2 {
            font-size: 20px;
            color: #333;
            font-weight: 400;
            border-bottom: 1px solid #CFDAF5;
            padding-bottom: 12px;
            margin-bottom: 16px;
        }

        .social-link {
            display: inline-flex;
            gap: 7.5px;
            margin-right: 16px;
            align-items: center;

            .icon {
                display: flex;
                align-items: center;

                &::before {
                    height: 28px;
                    width: 26px; 
                    background-size: auto 60%;
                    background-repeat: no-repeat;
                    background-position: center;
                    content: "";
                    display: inline-block;
                }
            }
        }

        .twitter-x-icon::before {    
            background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23clip0_3405_2591)'%3E%3Cpath d='M9.32 6.77L15.15 0H13.75L8.7 5.88L4.66 0H0L6.11 8.9L0 16H1.38L6.73 9.79L10.99 16H15.66L9.32 6.77ZM7.42 8.97L6.81 8.09L1.88 1.04H4L7.98 6.73L8.6 7.61L13.77 15.01H11.64L7.43 8.97H7.42Z' fill='%230000EE'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_3405_2591'%3E%3Crect width='16' height='16' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A");

        }

        .youtube-icon::before {
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 61'%3E%3Crect width='100' height='61' rx='22' fill='%230000EE'/%3E%3Cpolygon points='41,17 41,44 66,30.5' fill='%23FFFFFF'/%3E%3C/svg%3E");        
        }
    }

    .tedapi-logo {
        width: 350px;
        margin-left: -20px;
        margin-top: -12px;
        display: block;
    }
}

/* Swagger-Ui overrides */
.swagger-ui {

    .topbar {
        display: none;
    }

    .info {
        margin-top: 0;

        .title small.version-stamp {
            background-color: rgba(51, 153, 0, 0.8);
        }
    }

    .btn.authorize {
        color: #339900;
        border-color: #339900;

        svg {
            fill: #339900;
        }
    }


    .opblock.opblock-post {
        background-color: rgba(51, 153, 0, 0.05);
        border-color: #339900;

        .opblock-summary{
            border-color: #339900;
        }

        .opblock-summary-method {
            background: #339900;
        }
        .tab-header .tab-item.active h4 span:after {
            background: #339900;
        }
    }

    .opblock.opblock-get {
        background-color: #F3F6FC;
        border-color: #2751bd;
        
        .opblock-summary {
            border-color: #2751bd;
        }

        .opblock-summary-method {
            background: #2751bd;
        }

        .tab-header .tab-item.active h4 span:after {
            background: #2751bd;
        }
    }

    .json-schema-2020-12__attribute--primary {
        color: #3162c5;
    }
}
